<?php

require_once('conf/dbc.php');
require_once('conf/session_start.php');
require_once('conf/ban.php');
$page_title = 'Управление отрядом';
require_once('conf/head.php');
require_once('conf/top.php');
$user_id=abs(intval($_SESSION['id']));
$usg3=$dbc->query("SELECT * FROM `users` WHERE`id`='$user_id'")->fetch_assoc();
$clan=$dbc->query("SELECT * FROM `clans` WHERE`clan_id`='".$usg3['clan']."'")->fetch_assoc();
if($usg3['clan_rang']>='5'){
echo'
<center><p class="name" style="border-top:1px solid #444e4f; background-color:#1c252f;">Управление отрядом</p></center>';
?>
<?php if(!empty($_GET['err'])) {?>
   <?php if ($_GET['err']==1) {echo '<p style="border-top: dashed #444e4f 1px;"></p><span class="bonus">Объявление добавлено!</span>';}?>
   <?php if ($_GET['err']==2) {echo '<p style="border-top: dashed #444e4f 1px;"></p><span class="bonus">Надпись изменена!</span>';}?>
   <?php if ($_GET['err']==3) {echo '<p style="border-top: dashed #444e4f 1px;"></p><span class="bonus">Отряд переименован!</span>';}?>
   <?php if ($_GET['err']==4) {echo '<p style="border-top: dashed #444e4f 1px;"></p><span class="red">Название отряда должно быть в пределах от 3 до 12 символов</span>';}?>
  <?php if ($_GET['err']==5) {echo '<p style="border-top: dashed #444e4f 1px;"></p><span class="red">В складе недостаточно рублей!</span>';}?>
  <?php if ($_GET['err']==6) {echo '<p style="border-top: dashed #444e4f 1px;"></p><span class="red">Объявление не должно превышать 250 символов</span>';}?>
   <?php if ($_GET['err']==7) {echo '<p style="border-top: dashed #444e4f 1px;"></p><span class="red">Отряд с таким названием уже существует!</span>';}?>
   <?php } 
echo'<div style="background-color: #1E1E1E;">
<p style="border-top:1px solid #444e4f;"></p>
<center><b>Новое объявление:</b></center>
<p style="border-top:1px solid #444e4f;"></p>
</div>
Ввести:
<form enctype="multipart/form-data" method="post" action="clanq.php?tip=1">
<input type="text" class="input" style="width: 80%;" name="ad" value="" />
<input type="submit" style="width:60px;" class="input" value="+" name="addad"/>
</form><br/>';}
if($usg3['clan_rang']>='8'){
echo'<div style="background-color: #1E1E1E;">
<p style="border-top:1px solid #444e4f;"></p>
<center><b>Надпись отряда:</b></center>
<p style="border-top:1px solid #444e4f;"></p>
</div>
Ввести:
<form enctype="multipart/form-data" method="post" action="clanq.php?tip=2">
<input type="text" value="'.$clan['nadpis'].'" class="input" style="width: 80%;" name="st" />
<input type="submit" style="width:60px;" class="input" value="+" name="addchat"/>
</form><br/>';}

if($usg3['clan_rang']=='9'){
echo'<div style="background-color: #1E1E1E;">
<p style="border-top:1px solid #444e4f;"></p>
<center><b>Переименовать отряд:</b> <span class="red">(5000 RUB)</span></center>
<p style="border-top:1px solid #444e4f;"></p>
</div>
Ввести:
<form enctype="multipart/form-data" method="post" action="clanq.php?tip=3">
<input type="text" class="input" style="width: 80%;" name="name" />
<input type="submit" style="width:60px;" class="input" value="ввести" name="addchat"/>
</form><br/>
<p style="border-top:1px solid #444e4f;"></p>';
echo"<div class='link'><a  class='link' style='text-decoration:none;' href=\"clan.php?id=".$usg3['clan']."\"><img src='/img/reload.gif' >Назад</a></div>";}	
if($usg3['clan_rang']<'5'){
echo'<p class="lal">Это закрытый раздел.</p>';
echo"<div class='link'><a  class='link' style='text-decoration:none;' href=\"clan.php?id=".$usg3['clan']."\"><img src='/img/reload.gif' >Назад</a></div>";}	
switch($_GET[tip]){
case '1':
if(isset($_POST['ad'])){

$ad=$_POST['ad'];
	  if (strlen($ad) >250){ header ('Location: clanq.php?err=6');}
         
else{$dbc->query("UPDATE`clans`SET`ad`='$ad', `ad_nick`='".$usg3['nick']."' WHERE`clan_id`='".$usg3['clan']."'");
$dbc->query("UPDATE`users`SET`read_ad`='1' WHERE`clan`='".$usg3['clan']."'");
 header ('Location: clanq.php?err=1');
  exit();
}
}
break;
case '2':

if(isset($_POST['st'])){

$str=$_POST['st'];
$dbc->query("UPDATE`clans`SET`nadpis`='$str' WHERE`clan_id`='".$usg3['clan']."'");
 header ('Location: clanq.php?err=2');
  exit();
}
break;
case '3':

if(isset($_POST['name'])){

$name=$_POST['name'];
   $query = "Select * from clans where name = '$name' limit 1";
	  $result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
	  $row = mysqli_fetch_array($result);
	  if($row != 0) { header ('Location: clanq.php?err=7');
  exit();
}
 if ($clan['money']< 5000){ header ('Location: clanq.php?err=5');}
	  elseif (strlen($name) < 3 or strlen($name) >20){ header ('Location: clanq.php?err=4');}
         
else{$dbc->query("UPDATE`clans`SET`name`='$name', `money`=`money`-5000 WHERE`clan_id`='".$usg3['clan']."'");
 header ('Location: clanq.php?err=3');
  exit();
}
}
break;
case '4':
$cena=($clan['max_people']*24500);
 if ($clan['habar']< $cena){ header ('Location: clan.php?id='.$usg3['clan'].'&pepl=1');}
    elseif ($clan['max_people']> 20){ header ('Location: clan.php?id='.$usg3['clan'].'&pepl=3');}    
else{$dbc->query("UPDATE`clans`SET`max_people`=`max_people`+1, `habar`=`habar`-$cena WHERE`clan_id`='".$usg3['clan']."'");
 header ('Location: clan.php?id='.$usg3['clan'].'&pepl=2');
  exit();
}
break;
}
require_once('conf/navig.php');
require_once('conf/foot.php');
mysqli_close($dbc);

?>
</body>
</html>